package eu.dnetlib.apps.oai2ftp.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

@Entity
@Table(name = "collection_history")
public class CollectionLogEntry implements Serializable {

	private static final long serialVersionUID = 5843197167336338295L;

	@Id
	@Column(name = "id")
	private String id;

	@Column(name = "oai_base_url")
	private String oaiBaseUrl;

	@Column(name = "oai_format")
	private String oaiFormat;

	@Column(name = "oai_set")
	private String oaiSet;

	@Column(name = "oai_from")
	private LocalDateTime oaiFrom;

	@Column(name = "oai_until")
	private LocalDateTime oaiUntil;

	@Column(name = "ftp_server")
	private String ftpServer;

	@Column(name = "ftp_dir")
	private String ftpDir;

	@Column(name = "start_date")
	private LocalDateTime start;

	@Column(name = "end_date")
	private LocalDateTime end;

	@Column(name = "success")
	private boolean success;

	@Column(name = "total")
	private long total;

	@Column(name = "n_calls")
	private long numberOfCalls;

	@Column(name = "message")
	private String message;

	public String getId() {
		return id;
	}

	public void setId(final String id) {
		this.id = id;
	}

	public String getOaiBaseUrl() {
		return oaiBaseUrl;
	}

	public void setOaiBaseUrl(final String oaiBaseUrl) {
		this.oaiBaseUrl = oaiBaseUrl;
	}

	public String getOaiFormat() {
		return oaiFormat;
	}

	public void setOaiFormat(final String oaiFormat) {
		this.oaiFormat = oaiFormat;
	}

	public String getOaiSet() {
		return oaiSet;
	}

	public void setOaiSet(final String oaiSet) {
		this.oaiSet = oaiSet;
	}

	public LocalDateTime getOaiFrom() {
		return oaiFrom;
	}

	public void setOaiFrom(final LocalDateTime oaiFrom) {
		this.oaiFrom = oaiFrom;
	}

	public LocalDateTime getOaiUntil() {
		return oaiUntil;
	}

	public void setOaiUntil(final LocalDateTime oaiUntil) {
		this.oaiUntil = oaiUntil;
	}

	public String getFtpServer() {
		return ftpServer;
	}

	public void setFtpServer(final String ftpServer) {
		this.ftpServer = ftpServer;
	}

	public String getFtpDir() {
		return ftpDir;
	}

	public void setFtpDir(final String ftpDir) {
		this.ftpDir = ftpDir;
	}

	public LocalDateTime getStart() {
		return start;
	}

	public void setStart(final LocalDateTime start) {
		this.start = start;
	}

	public LocalDateTime getEnd() {
		return end;
	}

	public void setEnd(final LocalDateTime end) {
		this.end = end;
	}

	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(final boolean success) {
		this.success = success;
	}

	public long getTotal() {
		return total;
	}

	public void setTotal(final long total) {
		this.total = total;
	}

	public long getNumberOfCalls() {
		return numberOfCalls;
	}

	public void setNumberOfCalls(final long numberOfCalls) {
		this.numberOfCalls = numberOfCalls;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(final String message) {
		this.message = message;
	}

}
